Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456549 - Review Request: pmpu - GUI for distributed VCS's
Summary: Review Request: pmpu - GUI for distributed VCS's
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 15:47 UTC by Jaroslav Reznik
Modified: 2008-09-14 06:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-14 06:50:45 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Reznik 2008-07-24 15:47:30 UTC
Spec URL: http://rezza.hofyland.cz/fedora/packages/pmpu/pmpu.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/pmpu/pmpu-0.2-1.fc9.src.rpm
Description: Push Me Pull You is a graphical interface for a distributed version control system. Currently it contains proof-of-concept support the hg (including basic support for the forest and Mq extensions), git (including basic support for submodules / superprojects), bzr and darcs systems.

Comment 1 Jason Tibbitts 2008-08-16 21:57:49 UTC
Builds fine and rpmlint is silent.  The only statement of a license I can find anywhere within the package is in the "About" dialog, which says GPLv2.  You should ask upstream to provide proper licensing information, and in the interim you should make a note in your spec indicating where you discovered that this package is GPLv2 licensed (which would have saved me the time searching for it).

There is no need to explicitly disable the debuginfo package if you have BuildArch: noarch.

It would be good to package the KNOWNBUGS, RELEASE_TESTS and TODO files as %doc, especially given how this software is in an early state.

There is no reason to explicitly require python (although it doesn't really hurt anything).

* source files match upstream:
   53aca186c7225aacb4fb724ac4ba6835129496937e126f15bddfece3ddd04aa0  
   pmpu-0.2.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license (as far as I can tell).
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   pmpu = 0.2-1.fc10
  =
   /usr/bin/python
   PyQt4
?  python
   python(abi) = 2.5

* %check is not present; no test suite upstream.  I installed the program and it 
   seems to run OK, although I don't have any repositories handy.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Jaroslav Reznik 2008-08-18 08:22:35 UTC
Thanks for comments.

- License information - I have sent an email to upstream about this issue, now there is a comment in SPEC file
- explicit debuginfo statement deleted
- another doc files added (KNOWNBUGS, RELEASE_TESTS and TODO)
- python requirement deleted

Spec URL: http://rezza.hofyland.cz/fedora/packages/pmpu/pmpu.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/pmpu/pmpu-0.2-1.fc9.src.rpm

Comment 3 Jason Tibbitts 2008-08-18 15:06:55 UTC
Looks good, thanks.

APPROVED

Comment 4 Jaroslav Reznik 2008-08-18 15:21:13 UTC
New Package CVS Request
=======================
Package Name: pmpu
Short Description: GUI for distributed VCS's
Owners: jreznik
Branches: F-8 F-9
InitialCC:

Comment 5 Kevin Fenzi 2008-08-23 17:59:05 UTC
cvs done.

Comment 6 Fedora Update System 2008-08-26 08:35:00 UTC
pmpu-0.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pmpu-0.2-1.fc9

Comment 7 Fedora Update System 2008-08-26 08:36:28 UTC
pmpu-0.2-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/pmpu-0.2-1.fc8

Comment 8 Fedora Update System 2008-09-10 06:37:33 UTC
pmpu-0.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pmpu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7567

Comment 9 Fedora Update System 2008-09-10 06:57:38 UTC
pmpu-0.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pmpu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7303

Comment 10 Fedora Update System 2008-09-14 06:50:40 UTC
pmpu-0.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-09-14 06:51:19 UTC
pmpu-0.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.